/*
 * Merlin++: C++ Class Library for Charged Particle Accelerator Simulations
 * Copyright (c) 2001-2018 The Merlin++ developers
 * This file is covered by the terms the GNU GPL version 2, or (at your option) any later version, see the file COPYING
 * This file is derived from software bearing the copyright notice in merlin4_copyright.txt
 */

/**
 * A single include file which includes all the header
 * files for the standard accelerator model components.
 */

#ifndef Components_h
#define Components_h 1

#include "merlin_config.h"

#include "StandardMultipoles.h"
#include "SectorBend.h"
#include "Drift.h"
#include "Marker.h"
#include "TWRFStructure.h"
#include "SWRFStructure.h"
#include "TransverseRFStructure.h"
#include "CorrectorDipoles.h"
#include "RMSProfileMonitor.h"
#include "BPM.h"
#include "Marker.h"
#include "Solenoid.h"
#include "Collimator.h"
#include "HollowElectronLens.h"
#include "CrabMarker.h"

#endif
